package Abenteuer.Daten.Objekte;

/**
 * Die Klasse EinfacherGegenstand beschreibt einen einfachen Gegenstand nach folgenden Merkmalen:
 * <ul>
 * <li>Ein Gegenstand hat eine kurze Beschreibung (z. B. fr das Inventar)</li>
 * <li>Ein Gegenstand hat eine ausfhrliche Beschreibung  (z. B. beim Besichtigen des Gegenstands)</li>
 * </ul> 
 * 
 * @author Dipl.-Ing. Michael Sonntag
 * @version 1.0
*/
public class EinfacherGegenstand extends Gegenstand
{
    /**
    Erzeugt einen neuen einfache Gegenstand
    @param name Der ffentliche Name des Gegenstandes, nach dem er auch bei Benutzereingaben identifiziert wird
    @param internerName Der interne Name des Gegenstandes, er mu eindeutig sein.
    @param beschreibung Die ausfhrliche Beschreibung des Gegenstandes
    @param kurzBeschreibung Die kurze Beschreibung des Gegenstandes
    @param gewicht Gewicht des Gegenstandes in kg
    */
    public EinfacherGegenstand(String name,String internerName,String beschreibung,String kurzBeschreibung,double gewicht)
    {
    }
        
    /**
    Gibt eine kurze Beschreibung des Gegenstandes aus (z. b. fr die Inventarliste).
    */
    public void kurzBeschreibung()
    {
    }
    
    /**
    Gibt eine ausfhrliche Beschreibung des Gegenstandes aus (z. b. beim Besichtigen des Gegenstands).
    */
    public void beschreibung()
    {
    }
    
}
