package Abenteuer.Daten.Objekte;

/**
 * Die Klasse ZustandsGegenstand beschreibt einen Gegenstand der mehrere Zustnde besitzt nach folgenden Merkmalen:
 * <ul>
 * <li>Ein Gegenstand hat fr jeden Zustand eine kurze Beschreibung (z. B. fr das Inventar)</li>
 * <li>Ein Gegenstand hat fr jeden Zustand eine ausfhrliche Beschreibung  (z. B. beim Besichtigen des Gegenstands)</li>
 * <li>Ein Gegenstand hat fr jede Zustandsnderung einen Text, der bei der nderung in diesen Zustand hin ausgegeben wird</li>
 * </ul> 
 * 
 * @author Dipl.-Ing. Michael Sonntag
 * @version 1.0
*/ 
public class ZustandsGegenstand extends Gegenstand
{
    
    /**
    Erzeugt einen neuen Gegenstand mit verschiedenen Zustnden.
    @param name ffentlicher Name des Gegenstands
    @param internerName Eindeutiger interner Name des Gegenstands
    @param beschreibungen Beschreibung des Gegenstands in alles seinen Zustnden
    @param kurzBeschreibungen Kurze Beschreibung des Gegenstands in alles seinen Zustnden
    @param zustandsAenderung Text, der bei der nderung ausgegeben wird (jeweils fr das erreichen dieses Zustandes)
    @param gewicht Gewicht des Gegenstands
    @param startZustand Anfnglicher Index des Zustands
    */
    public ZustandsGegenstand(String name,String internerName, String[] beschreibungen,String[] kurzBeschreibungen,String[] zustandsAenderung,double gewicht,int startZustand)
    {
    }
        
    /**
    Gibt den Zustand zurck.
    @return Aktueller Zustand
    */
    public int getZustand()
    {
    }
    
    /**
    Setzt den Index fr einen neuen Zustand und gibt den Text fr die nderung in den neuen Zustand aus.
    @param neuerZustand Der Index des neuen Zustandes
    */
    public void setZustand(int neuerZustand)
    {
    }
    
    /**
    Gibt eine kurze Beschreibung des Gegenstandes aus (z. b. fr die Inventarliste).
    */
    public void kurzBeschreibung()
    {
    }
    
    /**
    Gibt eine ausfhrliche Beschreibung des Gegenstandes aus (z. b. beim Besichtigen des Gegenstands).
    */
    public void beschreibung()
    {
    }
}
